%global modname zope.i18n

Summary: Zope Internationalization Support
Name: python-zope-i18n
Version: 3.8.0
Release: 1%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
# Patch for FHS compliance
Patch0: zope.i18n-fhs-datadir.patch
# Code is ZPLv2.1, data in /usr/share/zope/i18n//locales/data is UCD
License: ZPLv2.1 and UCD
Group: Development/Libraries
BuildArch: noarch
URL: http://pypi.python.org/pypi/zope.i18n

BuildRequires: python2-devel
BuildRequires: python-setuptools
# for tests
#BuildRequires: python-zope-testrunner (not yet in Fedora)
#BuildRequires: pytz
#BuildRequires: python-zope-schema
#BuildRequires: python-zope-i18nmessageid
#BuildRequires: python-zope-component

Requires: pytz
# python-zope-schema is noarch
Requires: python-zope-schema
Requires: python-zope-i18nmessageid
Requires: python-zope-component

%description
This package implements several APIs related to internationalization and
localization and also provides:

* Locale objects for all locales maintained by the ICU project.

* Gettext-based message catalogs for message strings.

* Locale discovery for Web-based requests.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p1 -b .fhs

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot}
# deal with documents
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}/locales/
cp -p *.txt %{buildroot}%{_docdir}/%{name}-%{version}/
mv %{buildroot}%{python_sitelib}/zope/i18n/*.txt \
   %{buildroot}%{_docdir}/%{name}-%{version}/
mv %{buildroot}%{python_sitelib}/zope/i18n/locales/*.txt \
   %{buildroot}%{_docdir}/%{name}-%{version}/locales/
mv %{buildroot}%{python_sitelib}/zope/i18n/locales/data/license.html \
   %{buildroot}%{_docdir}/%{name}-%{version}/locales/

install -m 0755 -d %{buildroot}%{_datadir}/%{name}/locales/
DATADIR=%{_datadir}/%{name}
mv %{buildroot}%{python_sitelib}/zope/i18n/locales/data \
   %{buildroot}$DATADIR/locales/
rm -f %{name}.lang
for locale_file in `find %{buildroot}$DATADIR/locales/ -name '*.xml' ! -name 'root*'` ; do
    filename=`basename $locale_file`
    locale=`basename $locale_file .xml`
    echo "%lang($locale) $DATADIR/locales/data/$filename">> %{name}.lang
done

%files -f %{name}.lang
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/locales/
%dir %{_datadir}/%{name}/locales/data/
%{_datadir}/%{name}/locales/data/root.xml
%{_docdir}/%{name}-%{version}/
%{python_sitelib}/zope/i18n/
%exclude %{python_sitelib}/zope/i18n/tests/
%exclude %{python_sitelib}/zope/i18n/locales/tests/
%{python_sitelib}/%{modname}-*.egg-info
%{python_sitelib}/%{modname}-*-nspkg.pth


%changelog
* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 3.8.0-1
- Latest upstream.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 17 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.7.4-2
- Moved the data files to %%{_datadir}/%%{name}/ and applied a small
  complementary patch with help from Toshio Kuratomi <a.badger@gmail.com>
- Marked the data files with %%lang directives properly
- License revised to 'ZPL2.1 and UCD'

* Thu Sep 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.7.4-1
- Update to 3.7.4
- Rearrange the documents
- Requires: python-zope-filesystem and python-setuptools removed
- Spec cleaned up
- Exclude the tests

* Wed Jun 16 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.7.3-1
- Initial packaging
